libspectrum8 - ZX Spectrum emulator library - Shared libraries

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libspectrum8
Package version: 1.1.1
Package release: 1+b1
Package architecture: amd64
Package type: deb
Installed size: 288 B
Download size: 81.29 KB
Official Mirror:
libspectrum is a fairly simple library designed to make the handling of various ZX Spectrum emulator-related file formats easy. So far it handles: * Snapshots: .z80, .szx, .sna (all read/write), .zxs, .sp., .snp and +D snapshots (read only). * Tape images: .tzx, .tap, .spc, .sta and .ltp (read/write) and .pzx, Warajevo .tap, Z80Em and CSW version 1 (read only). * Input recordings: .rzx (read/write). * Timex cartridges: .dck (read only). * IDE hard disk images: .hdf (read/write). This package contains the shared libraries.



    Source package: libspectrum

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libspectrum8 deb package:
      # sudo apt-get install libspectrum8


    • /usr/lib/x86_64-linux-gnu/
    • /usr/lib/x86_64-linux-gnu/
    • /usr/share/doc/libspectrum8/AUTHORS
    • /usr/share/doc/libspectrum8/THANKS
    • /usr/share/doc/libspectrum8/changelog.Debian.amd64.gz
    • /usr/share/doc/libspectrum8/changelog.Debian.gz
    • /usr/share/doc/libspectrum8/changelog.gz
    • /usr/share/doc/libspectrum8/copyright


    2013-06-03 - Alberto Garcia <> libspectrum (1.1.1-1) unstable; urgency=low * New upstream release. * Update my e-mail address in debian/control and debian/copyright. * Remove audiofile_0.3.patch, it is already included in this release. * debian/libspectrum8.shlibs: bump shlibs to 1.1.1. * debian/control: - Remove obsolete DM-Upload-Allowed flag. - Update Standards-Version to 3.9.4 (no changes). - Update description to reflect the new supported formats. * debian/copyright: update copyright years.

    2012-03-20 - Alberto Garcia <> libspectrum (1.0.0-3) unstable; urgency=low * Add support for libaudiofile 0.3: - audiofile_0.3.patch: detect libaudiofile using pkg-config, recent versions no longer ship audiofile-config. - debian/control: add build dependency on dh-autoreconf. - debian/rules: run dh --with autoreconf. * Multi-arch support: - debian/compat: set compatibility level to 9. - debian/control: build depend on debhelper >= 9. - debian/control: Add Multi-Arch and Pre-Depends fields. - debian/libspectrum{8,-dev}.install: replace usr/lib/ with usr/lib/*/. * debian/control: update Standards-Version to 3.9.3. * debian/copyright: rewrite using the machine-readable format, and change the license of the packaging to GPL-2+.

    2011-02-22 - Alberto Garcia <> libspectrum (1.0.0-2) unstable; urgency=low * debian/control: add DM-Upload-Allowed flag. * debian/libspectrum-dev.install: don't install .la files.

    2010-12-28 - Alberto Garcia <> libspectrum (1.0.0-1) unstable; urgency=low * Initial release (Closes: #608200).